%define Blocks      %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/Blocks.txt
%define UnicodeData %{SOURCE1}
Summary:       DejaVu ttf Fonts
Name:          fonts-ttf-dejavu
Version:       2.37
Release:       %mkrel 1
License:       Bitstream Vera Fonts Copyright
Group:         System/Fonts/True type
URL:           http://dejavu.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/dejavu/dejavu/%{version}/dejavu-fonts-%{version}.tar.bz2
Source1:       UnicodeData.txt

BuildArch:     noarch
BuildRequires: fontforge
# (lm) fontconfig.prov requires fc-query to provide font(:lang=ll) & font(name)
BuildRequires: fontconfig
#BuildRequires: mkfontdir
#BuildRequires: mkfontscale
BuildRequires: perl(Font::TTF)
BuildRequires: ttmkfdir
Requires:      fonts-dejavu-common = %{version}-%{release}

%description
The DejaVu fonts are modifications of the Bitstream Vera fonts designed 
to extend this original for greater coverage of Unicode. The Bitstream Vera 
family was limited mainly to the characters in the Basic Latin and Latin-1 
Supplement portions of Unicode (roughly equivalent to ISO-8859-15) but was 
released with a license that permitted changes. The DejaVu fonts project was 
started with the aim to "provide a wider range of characters... while 
maintaining the original look and feel through the process of collaborative 
development".

%package -n fonts-dejavu-common
Group:         System/Fonts/True type
Summary:       Common files for the Dejavu font set

%description -n fonts-dejavu-common
The DejaVu fonts are a font family based on the Bitstream Vera Fonts
(http://gnome.org/fonts/). Its purpose is to provide a wider range of
characters (see status.txt for more information) while maintaining the
original look and feel.

This package consists of files used by other DejaVu packages.

%package -n fonts-ttf-dejavu-lgc
Group:         System/Fonts/True type
Summary:       Variable-width serif font faces, Latin-Greek-Cyrillic subset
Requires:      fonts-dejavu-common = %{version}-%{release}

%description -n fonts-ttf-dejavu-lgc
The DejaVu fonts are a font family based on the Bitstream Vera Fonts
(http://gnome.org/fonts/). Its purpose is to provide a wider range of
characters (see status.txt for more information) while maintaining the
original look and feel.

DejaVu fonts are based on Bitstream Vera fonts version 1.10.

Available fonts (Sans = sans serif, Mono = monospaced):

DejaVu Sans Mono
DejaVu Sans Mono Bold
DejaVu Sans Mono Bold Oblique
DejaVu Sans Mono Oblique
DejaVu Sans
DejaVu Sans Bold
DejaVu Sans Bold Oblique
DejaVu Sans Oblique
DejaVu Sans ExtraLight (experimental)
DejaVu Serif
DejaVu Serif Bold
DejaVu Serif Bold Italic (experimental)
DejaVu Serif Italic (experimental)
DejaVu Sans Condensed (experimental)
DejaVu Sans Condensed Bold (experimental)
DejaVu Sans Condensed Bold Oblique (experimental)
DejaVu Sans Condensed Oblique (experimental)
DejaVu Serif Condensed (experimental)
DejaVu Serif Condensed Bold (experimental)
DejaVu Serif Condensed Bold Italic (experimental)
DejaVu Serif Condensed Italic (experimental)

All fonts are also available as derivative called DejaVu LGC with support
only for Latin, Greek and Cyrillic scripts.

%prep
%setup -q -n dejavu-fonts-%{version}

%build
%make VERSION=%{version} FC-LANG="" BLOCKS=%{Blocks} UNICODEDATA=%{UnicodeData}

bzip2 -9 build/status.txt

%check
make check

%install
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/dejavu
# default path for openjdk  %{_datadir}/fonts/TTF/dejavu-lgc
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc

mkdir ttflgc
mv build/DejaVuLGC*.ttf ttflgc

install -m 644 build/*.ttf %{buildroot}%{_datadir}/fonts/TTF/dejavu

install -m 644 ttflgc/*.ttf %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc

ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/dejavu > %{buildroot}%{_datadir}/fonts/TTF/dejavu/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/dejavu/fonts.scale

#mkfontdir %{buildroot}%{_datadir}/fonts/TTF/dejavu
#mkfontscale %{buildroot}%{_datadir}/fonts/TTF/dejavu

ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc > %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc/fonts.scale

#mkfontdir %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc
#mkfontscale %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc

mkdir -p %{buildroot}%{_sysconfdir}/fonts/{conf.d,conf.avail}

install -m0644 fontconfig/*.conf %{buildroot}%{_sysconfdir}/fonts/conf.avail
pushd %{buildroot}%{_sysconfdir}/fonts/conf.avail
  for f in *.conf; do
    ln -s ../conf.avail/$f ../conf.d/$f
  done
popd

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/TTF/dejavu \
  %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-dejavu:pri=50
# TODO
#ln -s ../../..%{_datadir}/fonts/TTF/dejavu-lgc \
#  %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-dejavu-lgc:pri=50

%clean
rm -rf %{buildroot}
# TODO
#%post
#if [ -x %{_bindir}/fc-cache ]; then
#   %{_bindir}/fc-cache %{_datadir}/fonts
#fi
#:

#%postun
#if [ "$1" = "0" ]; then
#   if [ -x %{_bindir}/fc-cache ]; then
#      %{_bindir}/fc-cache %{_datadir}/fonts
#   fi
#fi
#:

%files
%dir %{_datadir}/fonts/TTF/dejavu
%{_datadir}/fonts/TTF/dejavu/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/dejavu/fonts.dir
%{_datadir}/fonts/TTF/dejavu/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-dejavu:pri=50
%{_sysconfdir}/fonts/conf.avail/*-dejavu-sans.conf
%{_sysconfdir}/fonts/conf.avail/*-dejavu-sans-mono.conf
%{_sysconfdir}/fonts/conf.avail/*-dejavu-serif.conf
%{_sysconfdir}/fonts/conf.d/*-dejavu-sans.conf
%{_sysconfdir}/fonts/conf.d/*-dejavu-sans-mono.conf
%{_sysconfdir}/fonts/conf.d/*-dejavu-serif.conf

# TODO
#%post -n fonts-ttf-dejavu-lgc
#if [ -x %{_bindir}/fc-cache ]; then
#   %{_bindir}/fc-cache %{_datadir}/fonts
#fi
#:

#%postun -n fonts-ttf-dejavu-lgc
#if [ "$1" = "0" ]; then
#   if [ -x %{_bindir}/fc-cache ]; then
#      %{_bindir}/fc-cache %{_datadir}/fonts
#   fi
#fi
#:

%files -n fonts-ttf-dejavu-lgc
%{_sysconfdir}/fonts/conf.avail/*-lgc-*.conf
%{_sysconfdir}/fonts/conf.d/*-lgc-*.conf
#%{_sysconfdir}/X11/fontpath.d/ttf-dejavu-lgc:pri=50
%dir %{_datadir}/fonts/TTF/dejavu-lgc
%{_datadir}/fonts/TTF/dejavu-lgc/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/dejavu-lgc/fonts.dir
%{_datadir}/fonts/TTF/dejavu-lgc/fonts.scale

%files -n fonts-dejavu-common
%doc AUTHORS BUGS LICENSE NEWS README.md
%doc build/unicover.txt build/status.txt.bz2


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.37-1.mga6
+ Revision: 1045507
- 2.37

* Sun Apr 17 2016 neoclust <neoclust> 2.35-2.mga6
+ Revision: 1003138
- Rebuild because of missing signature

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.35-1.mga6
+ Revision: 918735
- 2.35

* Wed Oct 15 2014 umeabot <umeabot> 2.34-4.mga5
+ Revision: 748886
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.34-3.mga5
+ Revision: 679268
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.34-2.mga4
+ Revision: 533125
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 luigiwalser <luigiwalser> 2.34-1.mga4
+ Revision: 471824
- 2.34

* Sun Mar 24 2013 tv <tv> 2.33-4.mga3
+ Revision: 404908
- add fontconfig as BuildRequires to provide font(:lang=ll) & font(name)

* Fri Jan 11 2013 umeabot <umeabot> 2.33-3.mga3
+ Revision: 350672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 anssi <anssi> 2.33-2.mga3
+ Revision: 299360
- remove nonsensical runtime requires on perl

  + gil <gil>
    - rebuilt from sources

* Wed Mar 09 2011 ahmad <ahmad> 2.33-1.mga1
+ Revision: 66725
- update to 2.33

* Wed Jan 12 2011 pterjan <pterjan> 2.31-1.mga1
+ Revision: 7200
- Use newly introduced ttmkfdir package
- imported package fonts-ttf-dejavu

